Name: smplayer-legacy
Summary: A great MPlayer front-end (KDE)
Summary(ru_RU.UTF8): Мощный интерфейс для MPlayer (KDE)
License: GPL
Group: Video
Url: http://smplayer.sourceforge.net
Version: 0.5.21
Release: alt2
Packager: Alexey Morsov <swi@altlinux.ru>
Source0: %name-%version.tar.bz2
Source2: ChangeLog.alt.old
Source5: %name.menu
Source8: %name.desktop
Patch0: %name-0.5.12-alt_dir_flags.diff
Patch1: %name.alt.paths.diff
Requires: mplayer 

BuildRequires: gcc-c++ libqt3-devel packages-info-i18n-common
BuildRequires: kdelibs-devel kdelibs
Provides: %name-legacy

%description
smplayer intends to be a complete front-end for MPlayer, from basic features
like playing videos, DVDs, and VCDs to more advanced features like support
for MPlayer filters and more. One of the main features is the ability to
remember the state of a played file, so when you play it later it will resume
at the same point and with the same settings. smplayer is developed with
the Qt toolkit, so it's multi-platform.
Compiled with KDE

%description -l ru_RU.UTF8
SMPlayer стремится быть как можно более полным интерфейсом для MPlayer,
от базовых функций проигрывания видео, DVD, VCDs до самого продвинутого
функционала MPlayer-а по поддержке фильтров и т.п. Одна из главных
особенностей - способность запоминать положение проигрываемого файла для
того, чтобы при следующем его открытии Вы могли смотреть его дальше с
того же места и с теми же параметрами настроек. SMPlayer разработан на
инструментарии Qt и является мультиплатформенным.
Скомпилировано с KDE


%prep
%setup -q
%patch0 -p1
%patch1 -p0
subst 's|DOC_PATH=$(PREFIX)/share/doc/packages/smplayer|DOC_PATH=%_docdir/%name-%version|g' Makefile


%build
export OLDPATH=$PATH
export PATH=$OLDPATH:$QTDIR/bin
export OPTFLAGS="%optflags"
echo $PATH
%make_build KDE_SUPPORT=1


%install
%make DESTDIR=%buildroot install
install -Dp -m 0755 src/smplayer %buildroot%_bindir/%name
install -Dp -m 0644 %SOURCE2 %buildroot%_docdir/%name-%version/ChangeLog.alt.old

# Menu - well, i think yeah - it's too soon remove them allready
install -Dp -m 0644 %SOURCE5 %buildroot%_menudir/%name

# Desktop files
install -Dp -m 0644 %SOURCE8 %buildroot%_desktopdir/%name.desktop

# icons icons.. where are you? :)
mv %buildroot%_iconsdir/hicolor/16x16/apps/smplayer.png %buildroot%_iconsdir/hicolor/16x16/apps/%name.png
mv %buildroot%_iconsdir/hicolor/22x22/apps/smplayer.png %buildroot%_iconsdir/hicolor/22x22/apps/%name.png
mv %buildroot%_iconsdir/hicolor/32x32/apps/smplayer.png %buildroot%_iconsdir/hicolor/32x32/apps/%name.png
mv %buildroot%_iconsdir/hicolor/64x64/apps/smplayer.png %buildroot%_iconsdir/hicolor/64x64/apps/%name.png

%post
%update_menus

%postun
%clean_menus


%files
%_bindir/%name
%_menudir/%name
%_desktopdir/%name.desktop
%_docdir/%name-%version
%_datadir/%name
%_iconsdir/*/*/*/%name.png



%changelog
* Sun Jul 01 2007 Alexey Morsov <swi@altlinux.ru> 0.5.21-alt2
- remove -common package

* Thu Jun 28 2007 Alexey Morsov <swi@altlinux.ru> 0.5.21-alt1
- fork this to legacy version. New version will be named smplayer
	old changelog in ChangeLog.alt.old
- clean and fix spec for legacy fork
- add patch for paths (for legacy fork)


